Setting up build system, checking 'awk' failed

Hey everyone, I am following this guide to setting up a build system, all is well until e reach the .scripts/feeds update -a phase. When I did this command and proceded for the checks, I noticed Checking 'awk'... failed, and at the end of the cheks, the following:

Build dependency: please install GNU 'awk'
Prerequisite check failed. Use FORCE=1 to override.
gmake: *** [/home/elitebook/quetzal/openwrt/include/toplevel.mk:182: /home/elitebook/quetzal/openwrt/staging_dir/host/.prereq-build] Error 1
awk: include/scan.awk: line 21: function asort never defined
awk: include/scan.awk: line 21: function asort never defined
Collecting package info: done
awk: include/scan.awk: line 21: function asort never defined
awk: include/scan.awk: line 21: function asort never defined
Collecting target info: done

Why did this happen? Whenever I use a ./scripts/feeds install our update, this error pops up. How can I fix it?

All prerequisites in place?

because you didn't read the error message.

2 Likes

Checks out... xd Thanks!

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.